Skip site navigation (1) Skip section navigation (2)

compile report

From: Joachim Wieland <joe(at)mcknight(dot)de>
To: pgadmin-hackers(at)postgresql(dot)org
Subject: compile report
Date: 2004-11-08 23:26:43
Message-ID: 20041108232643.GA12575@mcknight.de (view raw or flat)
Thread:
Lists: pgadmin-hackers
Hi,

I've just compiled yesterday's pgadmin3 snapshot and here's what I noticed
during install:
(I used wxWidgets-pgAdmin3-20040907-2)

1. ./configure failed because the linker gets called with --as-needed and
--no-as-needed which it doesn't understand. I created a wrapper script that
would filter out these parameters.

I have:

GNU ld version 2.14.90.0.7 20031029 Debian GNU/Linux

2. --with-wx-config=FILE
I wrote: --with-wx-config=/usr/local/wxwidgets/...
because I've installed the widgets to this directory. However the configure
script didn't check for the absolute path but it rather prepended another
/usr/, so that I had to specify --with-wx-config=local/wxwidgets/...

3. configure checks for the stc contrib module but not for the xrc module.
This one seems to be necessary as well.

4. Linking didn't work because the Makefile did not add the shared
libraries. I changed the Makefile:

pgadmin3_LDADD = $(LDADD) -lwx_base-2.5 -lwx_base_net-2.5 -lwx_base_xml-2.5 \
-lwx_gtk2_adv-2.5 -lwx_gtk2_core-2.5 -lwx_gtk2_html-2.5 \
-lwx_gtk2_stc-2.5 -lwx_gtk2_xrc-2.5

Don't know if all of them were necessary but it worked fine that way.

Feel free to request further information as you need it. Please note that
I'm not on the mailing list, so you'll have to send a copy to me as well.


Joachim




pgadmin-hackers by date

Next:From: Dave PageDate: 2004-11-09 08:41:46
Subject: Re: Possible issue in pgAdmin regarding varchar adjustment
Previous:From: Andreas PflugDate: 2004-11-08 12:40:30
Subject: Re: pgAdmin III 1.2.0 RC1 Debian - strange combobox

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group